Skip to main content
PUT
/
poweredby
/
account
/
update
/
{subAccountId}
Update Sub-Account
curl --request PUT \
  --url https://cloud.cdata.com/api/poweredby/account/update/{subAccountId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "externalId": "MyExternalId",
  "accountName": "Acme Corporation"
}
'
{
  "id": "fee1ce9d-c40c-4ef6-8f8c-77461315713d",
  "externalId": "MyExternalId",
  "accountName": "Acme Corporation",
  "created": "2023-07-13T20:42:56.317Z"
}

Authorizations

Authorization
string
header
required

JWT token authentication. Include the token in the Authorization header as Bearer {token}. See Authentication for more information on creating a token.

Path Parameters

subAccountId
string
required

The internal Connect AI account Id of the sub-account to update.

Body

application/json
externalId
string | null

(Optional) The new external Id for the sub-account.

accountName
string | null

(Optional) The new display name for the sub-account.

Response

200 - application/json

OK

id
string
required

The internal Connect AI account Id.

externalId
string
required

The Connect AI Embed external account identifier.

created
string<date-time>
required

The time this account was created.

accountName
string | null

The display name of the account.